Bug 212474 - fence_xvmd is not tightly-integrated with the cluster proper
Summary: fence_xvmd is not tightly-integrated with the cluster proper
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 212393
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 21:39 UTC by Lon Hohberger
Modified: 2009-04-16 22:36 UTC (History)
2 users (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 01:44:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to cman init script to make it work (2.47 KB, patch)
2006-11-10 21:43 UTC, Lon Hohberger
no flags Details | Diff
fence_xvmd CCS integration & debug patch (30.72 KB, patch)
2006-11-10 21:44 UTC, Lon Hohberger
no flags Details | Diff

Description Lon Hohberger 2006-10-26 21:39:39 UTC
Description of problem:

(1) fence_xvmd does not read configuration options from the ccsd the way it should
(2) fence_xvmd is not started by the cman init script.

Comment 1 RHEL Product and Program Management 2006-10-26 21:59:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Lon Hohberger 2006-11-10 21:43:25 UTC
Created attachment 140939 [details]
Patch to cman init script to make it work

Need input from Abhi

Comment 3 Lon Hohberger 2006-11-10 21:44:12 UTC
Created attachment 140940 [details]
fence_xvmd CCS integration & debug patch

Comment 4 Lon Hohberger 2006-11-10 21:46:15 UTC
Abhi - does the cman init patch work for you?  You can change it to work better
if you want, but fence_xvmd needs to only be started if:

(a) we're in Domain-0

(b) we have the xm tool, and

(c) fence_xvmd tag is in cluster.conf *or* the admin has overridden it using
/etc/sysconfig/cman to include the -X flag.

Comment 5 Abhijith Das 2006-11-10 22:01:57 UTC
Lon, looks good to me. You can commit it yourself, or let me know if you need me
to do it.
--Thanks

Comment 6 Lon Hohberger 2006-11-10 22:14:48 UTC
I can handle it.  Just sent it to cluster-devel to see if anyone responds; I'll
commit Monday morning after addressing any issues which others might find.

Comment 7 Lon Hohberger 2006-11-13 19:21:54 UTC
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/options-ccs.c.diff?cvsroot=cluster&r1=NONE&r2=1.1
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/debug.c.diff?cvsroot=cluster&r1=NONE&r2=1.1
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/xvm.h.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/Makefile.diff?cvsroot=cluster&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/fence_xvmd.c.diff?cvsroot=cluster&r1=1.4&r2=1.5
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/simple_auth.c.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/ip_lookup.c.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/mcast.c.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/vm_states.c.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/options.c.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/fence_xvm.c.diff?cvsroot=cluster&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/tcp.c.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/options.h.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/xvm/TODO.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/man/fence_xvm.8.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/man/fence_xvmd.8.diff?cvsroot=cluster&r1=1.1&r2=1.2

Patches in CVS
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&r1=1.26&r2=1.27


Comment 8 Kiersten (Kerri) Anderson 2006-11-13 19:34:19 UTC
Devel ACK

Comment 9 Lon Hohberger 2006-11-15 16:57:05 UTC
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&only_with_tag=RHEL50&r1=1.26.4.1&r2=1.26.4.2

Ancillary patch to kill misleadning error in fence_xvmd_enabled()

Comment 10 RHEL Product and Program Management 2006-12-23 01:44:49 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.


Comment 11 Nate Straz 2007-12-13 17:22:16 UTC
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.


Note You need to log in before you can comment on or make changes to this bug.